import { PrimaryKeyProp, defineEntity, p } from '@mikro-orm/core';

export class ScsStudentclass {
  [PrimaryKeyProp]?: 'Id';
  Id!: bigint;
  ClassId!: bigint;
  SchoolId!: bigint;
  GradeId!: bigint;
  StudentId!: bigint;
  Revision!: number;
  CreatedBy?: bigint;
  CreatedTime!: Date;
  UpdatedBy?: bigint;
  UpdatedTime?: Date;
  IsDeleted!: unknown;
  SubjectIds?: unknown;
}

export const ScsStudentclassSchema = defineEntity({
  class: ScsStudentclass,
  comment: '学生班级关系',
  properties: {
    Id: p.bigint().primary().name('Id').unsigned(false).autoincrement(false).comment('主键Id'),
    ClassId: p.bigint().name('ClassId').comment('班级id'),
    SchoolId: p.bigint().name('SchoolId').comment('学校id'),
    GradeId: p.bigint().name('GradeId').comment('届id'),
    StudentId: p.bigint().name('StudentId').comment('学生id'),
    Revision: p.integer().name('Revision').comment('乐观锁'),
    CreatedBy: p.bigint().name('CreatedBy').nullable().comment('创建者用户Id'),
    CreatedTime: p.datetime().name('CreatedTime').length(3).comment('创建时间'),
    UpdatedBy: p.bigint().name('UpdatedBy').nullable().comment('修改者用户Id'),
    UpdatedTime: p.datetime().name('UpdatedTime').length(3).nullable().comment('修改时间'),
    IsDeleted: p.array().name('IsDeleted').comment('是否删除'),
    SubjectIds: p.array().name('SubjectIds').length(4294967295).nullable().comment('学科ids'),
  },
});
